

<?php
$img1='images/';

		$url2 = base_url().$img1."background.jpeg";
		
		?>
 <!--

 <style type="text/css2">
@media print {
    body:after {
        content: url(<?php echo $url2 ?>);
    } 
}

@page {
    size:A4 ;
    margin-left: 0px;
    margin-right: 0px;
    margin-top: 0px;
    margin-bottom: 0px;
    margin: 0;
    -webkit-print-color-adjust: exact;
}


    body {
        background-image: url(<?php echo $url2 ?>)  ;
    }

</style>
-->




 
<script type="text/javascript">



	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/allquatation";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     //document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewsales";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewsales";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
 <style type="text/css">
      #myprint { display: none; }
  
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		height:auto;
		
		
    }
  #rcorners {

    border-collapse:separate;
    border:solid black 1px;
    border-radius:6px;
    -moz-border-radius:6px;
	   border-left:solid black 1px;


  }
  

    #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;10px;

    width:100%; height:50px;



}
.doted{
    border: dotted 3px #000000;
}
table { border-collapse: collapse; }
td { padding: 5px; }
#maintable tr { border-bottom:0px dashed #494949; padding:5px;}


table{
    border-collapse:collapse;/*This property collapses borders together*/
}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
#myalltitle { font-size: 2em; }
#alltitle{ font-size: 1em; }
	#mytitle { font-size: 1.4em; }

    
    {
		
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:10; width:100%; }
		  margin:0; 
		#receipt{
	font-style: normal;font-size: 1.5em;
	
	padding:0px;
	
}
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];

 $data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	
	 $data['branchid'] = $session_data['branchid'];
	 $branchid = $data['branchid'];

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);
 $weight=$viewreceipt[0]['weight'];

								$profile = $this->usermodel->populateallarray('smsconfig','id',$companyid);

									$photo=$profile[0]['logo'];
									$img=$profile[0]['logo'];
					 $countbranch=$this->usermodel->countbranches($companyid);
$weight=$viewreceipt[0]['weight'];
																				$receiptlogo=$profile[0]['receiptlogo'];

					$display1=$viewreceipt[0]['displayvat']; 

?>
 
 <div class="row">

 

   	<div class="col-md-12">
			 <div class="pull-right" id="non-printable"  >
<form name="print" method="post" action="">

 <input type="submit" id="print"  accesskey="p" class="btn btn-primary"  name="print"onclick="printDiv('printableArea')" value="Print Quote!" />
            
 
 </form>
      
 </div>
  		<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
						<!--
				<tr>
				<td colspan="6">
				
				<?php
$img1='uploads/';
	//$url = base_url().$img1.$img;
	
if($photo!=""){
	
	?>
	
 <div>
<img class="img-circle" src="<?php echo $url ?>" height="150" width="100%" style="border-radius:4px;margin:0px  ">		 

</div>
<?php
 
 }
 ?>
				
				</td>
				
				</tr>
				-->
						<tr>
								<td  style="border-radius:4px;margin:0px ; width:20%" valign="top" valign="left">

<?php
$img1='uploads/';

if($receiptlogo=="yesbranch") {
					 $allbranches= $this->usermodel->populateallarray('branch','id',$branchid);
					$branchlogo=$allbranches[0]['logo']; 
											
				
					$url = base_url().$img1.$branchlogo;

			}else{
									$url = base_url().$img1.$img;


			}











	//$url = base_url().$img1.$img;
	
if($photo!=""){
	
	?>
	
 <div>

<img class="img-circle" src="<?php echo $url ?>" height="100" width="auto" style="border-radius:4px;margin:0px  ">		 

</div>
<?php
 
 }
 ?>
 </td>		
										<td colspan="2" style="margin:2px ; width:50%">
					<?php 
					
										$invoicedetails="";

										 if( $countbranch>1){
										 $mybranches= $this->usermodel->populateallarray('branch','id',$branchid);
										$branchdescription=$mybranches[0]['description']; if(isset($branchdescription)) {
												$invoicedetails=$mybranches[0]['invoice'];	

											
											   echo ($branchdescription); }


										}else{
 						$description=$configuration[0]['businessname']; if(isset($description)) {  echo $description; }
							$invoicedetails=$configuration[0]['invoicedetails']; 

											 
										 }
										 $user=$this->usermodel->populateallarray('people','id', $userid);
						$donebynames=$user[0]['firstname'];
						
						
										?>
					
						</td>
						
						<td colspan="2" style=" width:30%" valign="top">
															<h1 style="margin:2px;"><b> QUOTATION </b>	</h1>
															
														<table border="1" width="100%" id="rcorners" style="padding:0px; cellpadding:0px;margin:0px; cellpadding:0; cellspacing:0;">
															
															<tr><td>  NO </td><td> <?php echo$viewreceipt[0]['id'];?></td>	</tr>
															<tr><td>DATE </td><td>  <?php $myypostedtime= $viewreceipt[0]['createdate']; echo date("d/m/Y", strtotime($myypostedtime));?></td>	</tr>
															
 	<?php $mypin= $configuration[0]['address']; 
if(	 $mypin!=""){
?>
															<!--<tr><td>PIN </td><td> <?php echo$mypin;?></td>	</tr>-->

 
<?php
};			 
				 

							?>
															
															
															
															
															
															
															<tr><td>REF NO</td><td> <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?></td>	</tr>
														 	<?php $mypin= $configuration[0]['address']; 
if($viewreceipt[0]['preparedby'] !=0){
		$user=$this->usermodel->populateallarray('people','id', $viewreceipt[0]['preparedby']);
						$MYnames=$user[0]['firstname'];
?>
															<tr><td>PREPARED BY </td><td> <?php echo$MYnames;?></td>	</tr>

 
<?php
};			 
				 

							?>
															</table>
															
					
						</td>
						
						</tr>
						
					<TR >
					<td colspan="6">
					<hr style="border-top: 2px solid gray;margin:0px;padding:0px">

					</td>
					</TR>
						<tr >
						
					
						<td colspan="3" id="mytitle" style="valign:top">
						<B>Billing To:</B>
					
						<?php 

						$customer=$viewreceipt[0]['supplier'];
							$customername="";
							$mysupplier=$this->usermodel->populateallarray('people','id', $customer);
						$alldetais="";
														
														
					
					
						 
						 if($mysupplier[0]['company']!=""){
							 $alldetais.= $mysupplier[0]['company']."<br>";
						 }
						  if($mysupplier[0]['firstname']!=""){
							 $alldetais.= $mysupplier[0]['firstname']." ". $mysupplier[0]['surname']."<br>";
						 }
						  if($mysupplier[0]['idno']!=""){
							 $alldetais.= $mysupplier[0]['idno']."<br>";
						 }
						  if($mysupplier[0]['phone']!=""){
							 $alldetais.= $mysupplier[0]['phone']."<br>";
						 } if($mysupplier[0]['email']!=""){
							 $alldetais.= $mysupplier[0]['email']."<br>";
						 }
						  if($mysupplier[0]['website']!=""){
							// $alldetais= $mysupplier[0]['website']."<br>";
						 }
						  if($mysupplier[0]['zip']!=""){
							// $alldetais.= $mysupplier[0]['zip']."<br>";
						 }
						   if($mysupplier[0]['code']!=""){
							 $alldetais.= $mysupplier[0]['code']."<br>";
						 }
						 
						  if($mysupplier[0]['city']!=""){
							 $alldetais.= $mysupplier[0]['city']."<br>";
						 }
						
						  if($mysupplier[0]['comments']!=""){
							 $alldetais.= $mysupplier[0]['comments']."<br>";
						 }
						 
						   if($viewreceipt[0]['shippingto']!=""){
							 $alldetais.= $viewreceipt[0]['shippingto'];
						 }
						 	
													echo "<br>".$alldetais;
													
													if($viewreceipt[0]['description'] !=""){
														
													//echo "<br>".$viewreceipt[0]['description'];	
													}

						//echo "<br>".$comments=$mysupplier[0]['comments'];
							?>
						
						
						
						
						
						
						
						
						</td>
						
							<td colspan="3"  id="mytitle" valign="top" >
							<B> <!--Shipping to -->	</B><br>
						
						 <?php $viewreceipt[0]['description'];?><BR>
						
					
	
						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
			
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%;" id="maintable">
<!--
								<tr class="heading">
							

							<td><b>From Date</b></td>
								<td><b>Due Date</b></td>
								<td><b>Ordered By</b></td>
								<td><b>Shipped Via</b></td>
								<td><b>F.O.B</b></td>
 <?php
if($weight=="Yes"){
 ?>
		
			<td colspan="3"><b>Terms</b></td>						
											
											
<?php
}else{
	 ?>
	
	<td><b>Terms</b></td>
	
<?php	
}
 ?>
							</tr>
							
							<tr>
						

							<td><?php echo$viewreceipt[0]['orderdate'];?></td>
							<td><?php echo$viewreceipt[0]['canceldate'];?></td>
							<td><?php echo$viewreceipt[0]['orderedby'];?></td>
							<td><?php echo$viewreceipt[0]['deliverymethod'];?></td>
							<td><?php echo$viewreceipt[0]['fob'];?></td>
							<td><?php echo$viewreceipt[0]['terms'];?>
							
							</td>
 <?php
if($weight=="Yes"){
 ?>
		
										<td colspan="2"></td>
											
											
<?php
}
 ?>
							</tr>
							
								
						<tr>
							<td colspan="6"><br>	</td>
						</tr>
						-->	
							<tr  class="heading">
							
<?php 
if($displaycode==true){
	 ?>
<td><b>Code</b></td>
<td><b>Item Name</b></td>
	 	<?php
		}else{?>
	<td colspan="2"><b>Item Name</b></td>
 <?php
 }
 ?>
 
 <?php
if($weight=="Yes"){
 ?>
		
										<td><b>Unit</b></td>
											<td><b>Image</b></td>
											
											
<?php
}
 ?>
	
 <td><b>Qty</td>
								<td><b>Disc </b></td>
								<td style="width:10%"><b>Price</b></td>

								
								<?php
if($display1=="yes"){
 ?>
 <td style="width:10%"><b>Vat</b></td>

 
 <?php
}
 ?>	
 																<td style="width:10%"><b>Price Inclusive</b></td>

	
								<td style="width:10%"><b>Total</b></td>
							</tr>
				
						<?php
					
 if(!is_array($viewsales)) {
	 

			 }else{
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $totalcost=0;
  $totalvatcost=0;
  $totalexemptedcost=0;
   $totaltax=0;
  	foreach ($viewsales as $c): 

		 

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
											<?php 
if($displaycode==true){
	 ?>
									<td id="mytitle"><?php echo $c->code ; ?></td>

													    <td><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     //echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}
     echo$name=strtoupper($productname[0]['name']); if($receiptdescription=="yes"){ echo"-".$description=strtoupper($productname[0]['description']);}

	
   }else{
	    echo "No Product";  
   }
   

	  if($c->description !=""){
	
echo "</BR> ".$c->description ."";
	
}
  
  ?></td>
	 	<?php
		}else{?>
	
	
													    <td  colspan="2" id="mytitle"><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  
  

	  if($c->description !=""){
	
echo "</BR> ".$c->description ."";
	
}

  ?></td>
 <?php
 }
 ?>
 
 
   <?php
if($weight=="Yes"){
 ?>
 
										<td id="mytitle" ><?php echo $c->unit ; 
										
										
										  if($c->mode!=""){
	
										//	echo "  (".$c->mode.")";
	
												}
										
										
									
										
										
										
										
										
										
										
										?></td>
													<td id="mytitle2">
													
													
											<?php			
												 $img_id=$productname[0]['imgid'];	
						$usr_result= $this->usermodel->populatepostimages($img_id);
						$img1='photoimghod/';
						if($usr_result !=FALSE){
						?>
						<a href="#" >
						
						<?php
						
						$img=$usr_result[0]->name;
						$url = base_url().$img1.$img;
						 ?>
						<a href="#" ><img src="<?php echo $url ?>" style="height:150px" ></a>         
						<?PHP
						}
						?>
		
													
													
													
													
													
													
													
													<?php echo $c->totalweight ; ?>
													
													
													</td>
 
 
 

  	
								
											
<?php
}
?>

 
 
 
 
 
 
 
 
										<td id="mytitle"><?php echo $c->qty ; 
										
											if($weight !="Yes"){
										  if($c->mode!=""){
	
											echo "  (".$c->mode.")";
	
												}
										
										
										}
										
										
										?></td>
													<td id="mytitle"><?php echo $c->discount ; ?></td>
											 
									
											 	 <td  align="left" id="mytitle" ><?php 
												
											if($display1 == "yes"){
												
											  if($c->qty!=0){
											  
											  $ttvat=$c->tax/$c->qty;
											  }else{
												 $ttvat=0; 
											  }
											  if($c->type=="Exclusive"){
									 echo   formatMoney($c->sprice, true); 

											  }else{
								 echo   formatMoney($c->sprice-$ttvat, true); 
  
											  }
												 
											}else{
												
													 echo   formatMoney($c->sprice, true); 		
											}

											 ?></td>
																					 
 <?php
if($display1=="yes"){
 ?>
 
 	 <td  id="mytitle">
										 <?php 
										 
										 
										 
										   if($c->qty!=0){
											  
											  $myvat=$c->tax/$c->qty;
											  }else{
												 $myvat=0; 
											  }
										 
										 
										 
										 
											echo  formatMoney($myvat, true) ;

											 ?></td>
 <?php
}
 ?>
			 <td  id="mytitle">
											 
											 
											 
											 
											 <?php 
											echo formatMoney($c->sprice, true) ;

											 ?></td>
										
				
											 	 <td id="mytitle" align="right"><?php 
												 
													$mytotalcost=$c->sprice * $c->qty;
												 $totalcost=$totalcost+$mytotalcost;
												 
												 
												 echo formatMoney($mytotalcost, true) ;
												 
												 $totaltax=$totaltax+$c->tax ;
												 $mytaxrate=$c->tax ;
												 
												 if(($mytaxrate!=0)||($mytaxrate!="")){
													 
													 $totalvatcost=$totalvatcost+$c->sprice;
												 }
												  if(($mytaxrate==0)||($mytaxrate=="")){
													 
													 $totalexemptedcost=$totalexemptedcost+$c->sprice;
												 }

												 ?></td>
											</tr>
										<?php endforeach;} ?>

              <?php }?>	
			  
			  
									  <tr border="1">

					
							
								
								 <?php
							$display1=$viewreceipt[0]['displayvat']; 

								 
								 
if($display1=="yes"){
 ?>
		
								<td colspan="6" rowspan="6" valign="top">

								
								</td>
											
											
<?php
}else{
	 ?>
	
								<td colspan="5" rowspan="3"  valign="top">
					
								
								</td>
	
<?php	
}
 ?>
	
								
								
							

								
								
							
									</tr>
									
									  <tr border="1">
					<td colspan="1"   height="200px"></td>
					<td colspan="1"   height="200px"></td>
					
					</tr>
						
									<?php 
						//$display1=$configuration[0]['display1']; 
					$display1=$viewreceipt[0]['displayvat']; 

						if(	$display1=="yes"){
						
						?>
						
							
			<tr><td ><B>SUB TOTAL</B></td><td align="right"><b>	<?php

						
							if(isset($totalcost)) {echo   formatMoney($totalcost-$totaltax, true); }
						
						
						?></b></td>	</tr>


								<tr><td ><B>VAT TOTAL	</B></td><td align="right"><B><?php if(isset($totaltax)) {  echo formatMoney($totaltax, true) ;}?></B></td>	</tr>
									<tr><td ><B>TAX RATE</B></td><td align="right"><B>	<?php $tax1rate=$configuration[0]['tax1rate']; if(isset($tax1rate)) {echo  formatMoney($tax1rate, true) ;}?>%</B></td>	</tr>
	
<tr><td ><B >GRAND TOTAL</B></td><td align="right"><B id="mytitle">	<?php if(isset($totalcost)) {echo  formatMoney($totalcost, true) ;}?></B></td>	</tr>

								</tr>
							

							
									
								<?php
									}else {
									?>
								<tr>
							
									<td><b id="mytitle">GRAND TOTAL:</b></td><td align="right">	<b id="mytitle"><?php  if(isset($totalcost)) {echo   formatMoney($totalcost, true); }?></b></td>
									</tr>
							
									<?php
									}
									?>
								
							
							
							
						
							
							
							
							
							
				
									</tbody>
									
									
					</table>
			<div>
			</br>
			
			
			
			
							<?php

if(trim($viewreceipt[0]['description']) !=""){
	echo "<b>NOTE:</b> </BR>";


									echo $viewreceipt[0]['description'];
echo "</BR>";
}
									?>
			
			
			
			
			
			
			
			
						<?PHP
						//$invoicedetails=$configuration[0]['description']; 

if(isset($invoicedetails)) {echo   $invoicedetails; }
						?>

								<?php 

echo$configuration[0]['tillno']; echo "<br>";


?>
<!--
<table>
							<tr>
<td colspan="3"	>
</br>
Authorized by (Name):----------------------------------------------------------------------------------------------------------</br></br>
Authorized by (Signature):-----------------------------------------------------------------------------------------------------</br></br>
Stamp:-----------------------------------------------------------------------------------------------------</br></br>


						</td>
									
							</tr>
					
					</table>
				-->
					
				</div>
			</div>
			</div>
		</div>
  
  </div>
 </div>
 </div> 
			
			
		<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/allquatation";
		     $("#next-btn").focus();

 }else{
	  //       window.location.href = "../user/allquatation";
 
 }
});
</script>	

		

















